### Class

# WebKit NetworkSession

since: 2.40

#### Description [src]

    final class WebKit.NetworkSession : GObject.Object
    {
      /* No available fields */
    }

Manages network configuration.

Available since: 2.40

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### webkit_network_session_new

Creates a new `WebKitNetworkSession` with a persistent `WebKitWebsiteDataManager`. The parameters `data_directory` and `cache_directory` will be used as construct properties of the `WebKitWebsiteDataManager` of the network session. Note that if `NULL` is passed, the default directory will be passed to `WebKitWebsiteDataManager` so that `webkit_website_data_manager_get_base_data_directory()` and `webkit_website_data_manager_get_base_cache_directory()` always return a value for non ephemeral sessions.

since: 2.40

###### webkit_network_session_new_ephemeral

Creates a new `WebKitNetworkSession` with an ephemeral `WebKitWebsiteDataManager`.

since: 2.40

#### Functions

###### webkit_network_session_get_default

Get the default network session. The default network session is created using `webkit_network_session_new()` and passing `NULL` as data and cache directories.

since: 2.40

###### webkit_network_session_set_memory_pressure_settings

Sets `settings` as the `WebKitMemoryPressureSettings`.

since: 2.40

#### Instance methods

###### webkit_network_session_allow_tls_certificate_for_host

Ignore further TLS errors on the `host` for the certificate present in `info`.

since: 2.40

###### webkit_network_session_download_uri

Requests downloading of the specified URI string.

since: 2.40

###### webkit_network_session_get_cookie_manager

Get the `WebKitCookieManager` of `session`.

since: 2.40

###### webkit_network_session_get_itp_enabled

Get whether Intelligent Tracking Prevention (ITP) is enabled or not.

since: 2.40

###### webkit_network_session_get_itp_summary

Asynchronously get the list of `WebKitITPThirdParty` seen for `session`.

since: 2.40

###### webkit_network_session_get_itp_summary_finish

Finish an asynchronous operation started with webkit_network_session_get_itp_summary().

since: 2.40

###### webkit_network_session_get_persistent_credential_storage_enabled

Get whether persistent credential storage is enabled or not.

since: 2.40

###### webkit_network_session_get_tls_errors_policy

Get the TLS errors policy of `session`.

since: 2.40

###### webkit_network_session_get_website_data_manager

Get the `WebKitWebsiteDataManager` of `session`.

since: 2.40

###### webkit_network_session_is_ephemeral

Get whether `session` is ephemeral. A `WebKitNetworkSession` is ephemeral when its `WebKitWebsiteDataManager` is ephemeral. See `WebKitWebsiteDataManager:is-ephemeral` for more details.

since: 2.40

###### webkit_network_session_prefetch_dns

Resolve the domain name of the given `hostname` in advance, so that if a URI of `hostname` is requested the load will be performed more quickly.

since: 2.40

###### webkit_network_session_set_itp_enabled

Enable or disable Intelligent Tracking Prevention (ITP).

since: 2.40

###### webkit_network_session_set_persistent_credential_storage_enabled

Enable or disable persistent credential storage.

since: 2.40

###### webkit_network_session_set_proxy_settings

Set the network proxy settings to be used by connections started in `session` session.

since: 2.40

###### webkit_network_session_set_tls_errors_policy

Set the TLS errors policy of `session` as `policy`.

since: 2.40

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### WebKit.NetworkSession:cache-directory

The base caches directory used to create the `WebKitWebsiteDataManager`. If `NULL`, a default location will be used.

since: 2.40

###### WebKit.NetworkSession:data-directory

The base data directory used to create the `WebKitWebsiteDataManager`. If `NULL`, a default location will be used.

since: 2.40

###### WebKit.NetworkSession:is-ephemeral

Whether to create an ephermeral `WebKitWebsiteDataManager` for the session.

since: 2.40

#### Signals

###### WebKit.NetworkSession::download-started

This signal is emitted when a new download request is made.

since: 2.40

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct WebKitNetworkSessionClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.